# octavia.api.drivers.driver_agent package

## Submodules

## octavia.api.drivers.driver_agent.driver_get module

process_get(get_data)

## octavia.api.drivers.driver_agent.driver_listener module

class ForkingUDSServer(server_address, RequestHandlerClass, bind_and_activate=True)

  Bases: `ForkingMixIn`, `UnixStreamServer`

class GetRequestHandler(request, client_address, server)

  Bases: `BaseRequestHandler`

  handle()

class StatsRequestHandler(request, client_address, server)

  Bases: `BaseRequestHandler`

  handle()

class StatusRequestHandler(request, client_address, server)

  Bases: `BaseRequestHandler`

  handle()

get_listener(exit_event)

stats_listener(exit_event)

status_listener(exit_event)

## octavia.api.drivers.driver_agent.driver_updater module

class DriverUpdater(**kwargs)

  Bases: `object`

  update_listener_statistics(statistics)

    Update listener statistics.

    Parameters:

      statistics (dict) – Statistics for listeners: id (string): ID for listener. active_connections (int): Number of currently active connections. bytes_in (int): Total bytes received. bytes_out (int): Total bytes sent. request_errors (int): Total requests not fulfilled. total_connections (int): The total connections handled.

    Raises:

      UpdateStatisticsError

    Returns:

      None

  update_loadbalancer_status(status)

    Update load balancer status.

    Parameters:

      status (dict) – dictionary defining the provisioning status and operating status for load balancer objects, including pools, members, listeners, L7 policies, and L7 rules. iod (string): ID for the object. provisioning_status (string): Provisioning status for the object. operating_status (string): Operating status for the object.

    Raises:

      UpdateStatusError

    Returns:

      None

## Module contents

this page last updated: 2026-03-10 18:02:42

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug